List deployments
GET
Lists the templates deployed on the workspace's servers. Removed deployments and deployments on deleted servers are left out.
Access: API key: vm:read · Session: any member.
header
AuthorizationBearer <token>Send Authorization: Bearer <token>. A token is an API key (lb_live_…, scoped, for programs) or a session (lb_sess_…, from signup or login, for people). See Authentication above.
vm_id?stringOnly deployments on this server.
X-Org-ID?stringSessions only: act on this organization (you must be a member). Default: your first organization.
Deployments
application/json- response
data*array<>curl -X GET 'https://layerbeat.com/v1/deployments'{ "data": [ { "id": "dep_7m2k9q4w8x3z5t6v1b0n2h4ra", "template": { "id": "supabase", "name": "Supabase", "kind": "service" }, "version": "1.0.0", "latest_version": "1.0.0", "update_available": false, "customized": false, "status": "ready", "server": { "id": "vm_gnkrp6zuxvsqki7sqxeluvsw2y", "name": "agent-01" }, "url": "https://supabase.example.com", "note": null, "error": null, "output": "layerbeat-template id=supabase version=1.0.0 action=install status=ok url=https://supabase.example.com", "ports_opened": [ { "port": 80, "protocol": "tcp" }, { "port": 443, "protocol": "tcp" } ], "operation": { "id": "op_4yw4xmradad4bstgr4d5qtreb4", "type": "template.deploy", "status": "succeeded" }, "created_at": "2026-10-10T10:00:00Z", "updated_at": "2026-10-10T10:04:00Z", "checked_at": "2026-10-10T10:04:00Z" } ]}